Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZShippingGroup Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| get ( $id=-1)
& | getAll ()
| delete ()
| id ()
| name ()
| setStartAddValue ( $type, $startValue, $addValue)
& | startAddValue ( $type)
| setName ( $value)

## Public Attributes
| $ID
| $Name

## Detailed Description

! eZTrade This class handles shipping groups.

Shipping groups is grouping of selected products which have the same shipping parameters, e.g. weight.

See also
  eZProduct

Definition at line 43 of file ezshippinggroup.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZShippingGroup::__construct | ( |  | $id = `-1` | ) |

Constructs a new object.

Definition at line 48 of file ezshippinggroup.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZShippingGroup::delete | ( |  | ) |

Deletes a Shipping Group from the database.

Definition at line 140 of file ezshippinggroup.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ get()

eZShippingGroup::get | ( |  | $id = `-1` | ) |

Fetches the Shipping Group from the database.

Definition at line 98 of file ezshippinggroup.php.

References $db, $id, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZShippingGroup::getAll | ( |  | ) |

Retrieves all the VAT groups from the database.

Definition at line 121 of file ezshippinggroup.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZShippingGroup::id | ( |  | ) |

Returns the object ID to the option. This is the unique ID stored in the database.

Definition at line 154 of file ezshippinggroup.php.

References $ID.

## ◆ name()

eZShippingGroup::name | ( |  | ) |

Returns the name of the vat group.

Definition at line 162 of file ezshippinggroup.php.

References $Name.

## ◆ setName()

eZShippingGroup::setName | ( |  | $value | ) |

Sets the name of the vat group.

Definition at line 244 of file ezshippinggroup.php.

References Name.

## ◆ setStartAddValue()

eZShippingGroup::setStartAddValue | ( |  | $type,
|  |  | $startValue,
|  |  | $addValue
| ) |  |

Sets the shipping start and add value for the given eZShippingType to the current eZShippingGroup with the $value .

Definition at line 171 of file ezshippinggroup.php.

References $db, $res, $type, eZDB\finish(), and eZDB\globalDatabase().

## ◆ startAddValue()

& eZShippingGroup::startAddValue | ( |  | $type | ) |

Returns the start and add values for the given shipping type.

An empty array is returned if not found.

Definition at line 219 of file ezshippinggroup.php.

References $db, $ret, $type, and eZDB\globalDatabase().

## ◆ store()

eZShippingGroup::store | ( |  | ) |

Stores/updates the Shipping group in the database.

Definition at line 60 of file ezshippinggroup.php.

References $db, $res, eZDB\finish(), eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $ID

eZShippingGroup::$ID

Definition at line 249 of file ezshippinggroup.php.

Referenced by __construct(), and id().

## ◆ $Name

eZShippingGroup::$Name

Definition at line 250 of file ezshippinggroup.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezshippinggroup.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.